Package ru.bitel.bgbilling.modules.inet.server

# Class AuthUtils

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.AuthUtils

    public class AuthUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AuthUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.Object[]` | `connectionFind​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String acctSessionId, java.lang.String address, java.lang.String login, java.lang.String callingStationId)` | Поиск сервиса [0] и соединения [1] по указанным параметрам
  `static java.lang.Object[]` | `connectionFindByAddress​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String address)` | Поиск сервиса [0] и соединения [1] по адресу
  `static java.lang.Object[]` | `connectionFindByLogin​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String login)` | Поиск сервиса [0] и соединения [1] по логину
  `static void` | `connectionRebind​(Setup setup, java.sql.Connection con, int moduleId, long connectionId, int newContractId, int newServId, short newState, java.util.Set<java.lang.Integer> newOptionIds)` | Перенос соединения на другой договор.
  `static int` | `inetServCreate​(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int parentId, java.util.Date dateFrom, int deviceId, int vlan, int interfaceId, java.lang.String login, java.lang.String mac, java.lang.String comment)` | Создание сервиса с указанными параметрами
  `static InetServ` | `inetServRegister​(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int deviceId, int port, int vlan, java.lang.String login, java.lang.String mac, java.lang.String address)` | Создание или обновление сервиса.
  `static void` | `schedule​(java.lang.Runnable command, long delay, java.util.concurrent.TimeUnit unit)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthUtils

    public AuthUtils()

- ## Method Details

  - ### connectionFindByLogin

    public static java.lang.Object[] connectionFindByLogin​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String login) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException, java.net.UnknownHostException
    Поиск сервиса [0] и соединения [1] по логину
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `login` - логин
    Returns:
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `java.net.UnknownHostException`

  - ### connectionFindByAddress

    public static java.lang.Object[] connectionFindByAddress​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String address) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException, java.net.UnknownHostException
    Поиск сервиса [0] и соединения [1] по адресу
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `address` - IP-адрес
    Returns:
      массив [ inetServ, inetConnection ] или null, если соединение не найдено
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `java.net.UnknownHostException`

  - ### connectionFind

    public static java.lang.Object[] connectionFind​(java.sql.Connection con, int moduleId, java.util.Set<java.lang.Integer> servIds, java.lang.String acctSessionId, java.lang.String address, java.lang.String login, java.lang.String callingStationId) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException, java.net.UnknownHostException
    Поиск сервиса [0] и соединения [1] по указанным параметрам
    Parameters:
      `con` -
      `moduleId` -
      `servId` - ID сервиса или 0
      `acctSessionId` - идентификатор соединения (Acct-Session-Id) или null
      `address` - IP-адрес
      `login` -
    Returns:
      массив [ inetServ, inetConnection ] или null, если соединение не найдено
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`
      `java.net.UnknownHostException`

  - ### connectionRebind

    public static void connectionRebind​(Setup setup, java.sql.Connection con, int moduleId, long connectionId, int newContractId, int newServId, short newState, java.util.Set<java.lang.Integer> newOptionIds) throws ru.bitel.bgbilling.common.BGException
    Перенос соединения на другой договор. Например, с фиктивного договора неавторизованных сессий на договор абонента.
    Parameters:
      `setup` -
      `con` -
      `moduleId` -
      `connectionId` - текущее ID соединения
      `newContractId` - ID нового договора
      `newServId` - ID нового сервиса договора
      `newState` - текущее состояние новой сессии
      `newOptionIds` - текущий набор опций новой сессии
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### inetServCreate

    public static int inetServCreate​(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int parentId, java.util.Date dateFrom, int deviceId, int vlan, int interfaceId, java.lang.String login, java.lang.String mac, java.lang.String comment) throws ru.bitel.bgbilling.common.BGException
    Создание сервиса с указанными параметрами
    Parameters:
      `context` -
      `moduleId` -
      `contractId` - ID договора
      `servTypeId` - ID типа сервиса
      `dateFrom` - дата начала периода или null - сегодняшний день
      `deviceId` - ID устройства
      `vlan` - VLAN
      `login` - логин
      `mac` - MAC-адрес или null
      `comment` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### schedule

    public static void schedule​(java.lang.Runnable command, long delay, java.util.concurrent.TimeUnit unit)

  - ### inetServRegister

    public static InetServ inetServRegister​(ru.bitel.bgbilling.kernel.container.managed.ServerContext context, int moduleId, int contractId, int servTypeId, int deviceId, int port, int vlan, java.lang.String login, java.lang.String mac, java.lang.String address) throws ru.bitel.bgbilling.common.BGException
    Создание или обновление сервиса.
    Parameters:
      `context` -
      `moduleId` -
      `contractId` - ID договора
      `servTypeId` - ID типа сервиса
      `deviceId` - ID устройства (может быть указан статический в типе сервиса)
      `port` - порт (-1, если не используется)
      `vlan` - VLAN (-1, если не используется)
      `login` - логин
      `mac` - MAC-адрес (null или пустая строка, если не используется)
      `address` - статический IP-адрес (null, если не используется)
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`